# [EXPERIMENTAL] Template

## Table of Contents

- [Introduction](#introduction)
- [Subtools](#subtools)
- [Usage](#usage)


## Introduction

The `template` tool can generate template files for various purposes.


## Subtools

`template` provides subtools for different types of templates:

- `trt-network` generates a template that allows you to manually define a TensorRT network using the
    network API, or modify a network created by other means, like a parser.

- `trt-config` generates a template that allows you to manually define a TensorRT builder configuration.

- [EXPERIMENTAL] `onnx-gs` generates a template that allows you to modify an ONNX model with ONNX-GraphSurgeon.

## Usage

See `polygraphy template -h` for usage information.
